## org.eclipse.datatools.modelbase.sql.query.impl
Class SearchConditionCombinedImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.SearchConditionCombinedImpl

All Implemented Interfaces:
  QuerySearchCondition, SearchCondition, SearchConditionCombined, SQLObject, SQLQueryObject

public class SearchConditionCombinedImpl
extends QuerySearchConditionImpl
implements SearchConditionCombined

An implementation of the model object 'SQL Search Condition Combined'.

The following features are implemented:

- `Combined Operator`
- `Left Condition`
- `Right Condition`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetLeftCondition(QuerySearchCondition newLeftCondition, NotificationChain msgs)`
`NotificationChain` `basicSetRightCondition(QuerySearchCondition newRightCondition, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`SearchConditionCombinedOperator` `getCombinedOperator()`
`QuerySearchCondition` `getLeftCondition()`
`QuerySearchCondition` `getRightCondition()`
`void` `setCombinedOperator(SearchConditionCombinedOperator newCombinedOperator)`
`void` `setLeftCondition(QuerySearchCondition newLeftCondition)`
`void` `setRightCondition(QuerySearchCondition newRightCondition)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl

`basicSetCombinedLeft, basicSetCombinedRight, basicSetDeleteStatement, basicSetNest, basicSetQuerySelectHaving, basicSetQuerySelectWhere, basicSetTableJoined, basicSetUpdateStatement, basicSetValueExprCaseSearchContent, eBasicRemoveFromContainerFeature, getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getSQL, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition
`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### getCombinedOperator

    public SearchConditionCombinedOperator getCombinedOperator()

  Specified by:
    `getCombinedOperator` in interface `SearchConditionCombined`
  Returns:
    the value of the 'Combined Operator' attribute.
  See Also:
    `SearchConditionCombinedOperator`, `SearchConditionCombined.setCombinedOperator(SearchConditionCombinedOperator)`, `SQLQueryModelPackage.getSearchConditionCombined_CombinedOperator()`

### setCombinedOperator

    public void setCombinedOperator(SearchConditionCombinedOperator newCombinedOperator)

  Specified by:
    `setCombinedOperator` in interface `SearchConditionCombined`
  Parameters:
    `newCombinedOperator` - the new value of the 'Combined Operator' attribute.
  See Also:
    `SearchConditionCombinedOperator`, `SearchConditionCombined.getCombinedOperator()`

### getLeftCondition

    public QuerySearchCondition getLeftCondition()

  Specified by:
    `getLeftCondition` in interface `SearchConditionCombined`
  Returns:
    the value of the 'Left Condition' containment reference.
  See Also:
    `SearchConditionCombined.setLeftCondition(QuerySearchCondition)`, `SQLQueryModelPackage.getSearchConditionCombined_LeftCondition()`, `QuerySearchCondition.getCombinedLeft()`

### basicSetLeftCondition

    public NotificationChain basicSetLeftCondition(QuerySearchCondition newLeftCondition,
                                                   NotificationChain msgs)

### setLeftCondition

    public void setLeftCondition(QuerySearchCondition newLeftCondition)

  Specified by:
    `setLeftCondition` in interface `SearchConditionCombined`
  Parameters:
    `newLeftCondition` - the new value of the 'Left Condition' containment reference.
  See Also:
    `SearchConditionCombined.getLeftCondition()`

### getRightCondition

    public QuerySearchCondition getRightCondition()

  Specified by:
    `getRightCondition` in interface `SearchConditionCombined`
  Returns:
    the value of the 'Right Condition' containment reference.
  See Also:
    `SearchConditionCombined.setRightCondition(QuerySearchCondition)`, `SQLQueryModelPackage.getSearchConditionCombined_RightCondition()`, `QuerySearchCondition.getCombinedRight()`

### basicSetRightCondition

    public NotificationChain basicSetRightCondition(QuerySearchCondition newRightCondition,
                                                    NotificationChain msgs)

### setRightCondition

    public void setRightCondition(QuerySearchCondition newRightCondition)

  Specified by:
    `setRightCondition` in interface `SearchConditionCombined`
  Parameters:
    `newRightCondition` - the new value of the 'Right Condition' containment reference.
  See Also:
    `SearchConditionCombined.getRightCondition()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `QuerySearchConditionImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `QuerySearchConditionImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `QuerySearchConditionImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `QuerySearchConditionImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `QuerySearchConditionImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `QuerySearchConditionImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `QuerySearchConditionImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.